import openmm


num_platform = openmm.Platform_getNumPlatforms()

for i in range(num_platform):
    gname = openmm.Platform_getPlatform(i).getName()
    if gname == "HIP":
        print(gname)
        break
